Look up an account name
curl --request GET \
--url https://{host}/v1/account-names \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://{host}/v1/account-names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/account-names"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"name_enquiry_ref": "<string>"
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}Account names
Look up an account name
The name on an account at any bank, asked of that bank (a name enquiry): account_number and bank_code (from GET /v1/banks). name_enquiry_ref is the enquiry’s reference for the transfer that follows. Never cached.
Required permission: transfers:write, feature:TRANSFERS_INTERBANK
GET
/
v1
/
account-names
Look up an account name
curl --request GET \
--url https://{host}/v1/account-names \
--header 'X-Api-Key: <api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://{host}/v1/account-names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/v1/account-names"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"account_number": "<string>",
"bank_code": "<string>",
"account_name": "<string>",
"bank_name": "<string>",
"name_enquiry_ref": "<string>"
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": {
"fields": {}
},
"code": "13"
}{
"success": true,
"message": "<string>",
"request_id": "01a1775167aa7693a7acd8df7b596118",
"data": null,
"code": "13"
}